From 31634fb1e1b377e65173c2d257e0785415fb603d Mon Sep 17 00:00:00 2001
From: innerspacepilot <innerspacepilot@gmx.com>
Date: Thu, 13 Jun 2019 08:05:12 +0000
Subject: [PATCH] makeself: common build, patch instead of sed

---
 srcpkgs/makeself/patches/header.patch | 11 +++++++++++
 srcpkgs/makeself/template             | 22 ++++------------------
 2 files changed, 15 insertions(+), 18 deletions(-)
 create mode 100644 srcpkgs/makeself/patches/header.patch

diff --git a/srcpkgs/makeself/patches/header.patch b/srcpkgs/makeself/patches/header.patch
new file mode 100644
index 00000000000..75c8cc8cd4e
--- /dev/null
+++ b/srcpkgs/makeself/patches/header.patch
@@ -0,0 +1,11 @@
+--- makeself.sh.orig	2019-06-13 07:22:52.406415309 +0000
++++ makeself.sh		2019-06-13 07:23:10.116346635 +0000
+@@ -185,7 +185,7 @@
+ TAR_EXTRA=""
+ GPG_EXTRA=""
+ DU_ARGS=-ks
+-HEADER=`dirname "$0"`/makeself-header.sh
++HEADER=`dirname "$0"`/makeself-header
+ TARGETDIR=""
+ NOOVERWRITE=n
+ DATE=`LC_ALL=C date`
diff --git a/srcpkgs/makeself/template b/srcpkgs/makeself/template
index 99494b26321..a32108fc209 100644
--- a/srcpkgs/makeself/template
+++ b/srcpkgs/makeself/template
@@ -1,31 +1,17 @@
 # Template file for 'makeself'
 pkgname=makeself
 version=2.4.0
-revision=2
+revision=3
 archs=noarch
-create_wrksrc=yes
-makedepends="tar gzip bzip2"
-depends="${makedepends}"
+wrksrc="makeself-release-${version}"
 short_desc="Make self-extractable archives on Unix"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="http://makeself.io"
-distfiles="https://github.com/megastep/$pkgname/releases/download/release-$version/$pkgname-$version.run"
-checksum=ca66a6113ce98152b85c8d847949f8c90ab9ba798e106bfc225d4ed3c2e2e3e2
-skip_extraction="${pkgname}-${version}.run"
-
-do_build() {
-	cp ${XBPS_SRCDISTDIR}/${pkgname}-${version}/${pkgname}-${version}.run .
-	chmod +x ${pkgname}-${version}.run
-	./${pkgname}-${version}.run --target ${pkgname}-${version}
-}
+distfiles="https://github.com/megastep/makeself/archive/release-$version.tar.gz"
+checksum=76a8c3f3fad1b55c39ba2904a19e74962151f9481df03091d4e54938bdd13f50
 
 do_install() {
-	cd ${wrksrc}/${pkgname}-${version}
-
-	# rename makeself-header.sh to makeself-header inside makeself.sh because it will be renamed later
-	sed -i 's/^HEADER=\`dirname "$0"\`\/makeself-header.sh$/HEADER=\`dirname "$0"\`\/makeself-header/' makeself.sh
-
 	vmkdir usr/share/man/man1
 	for f in makeself makeself-header; do
 		vbin ${f}.sh ${f}
